Distribute Yield
curl --request POST \
--url https://dev.api.withconvexity.com/v1/tokens/yield/distribute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tokenId": "019ee492-6357-72ec-bd3b-19c5f8242d96",
"chain": "BASE",
"fundAmount": 10,
"reclaimAfter": 86400,
"memo": "Dividend payout 2025"
}
'import requests
url = "https://dev.api.withconvexity.com/v1/tokens/yield/distribute"
payload = {
"tokenId": "019ee492-6357-72ec-bd3b-19c5f8242d96",
"chain": "BASE",
"fundAmount": 10,
"reclaimAfter": 86400,
"memo": "Dividend payout 2025"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tokenId: '019ee492-6357-72ec-bd3b-19c5f8242d96',
chain: 'BASE',
fundAmount: 10,
reclaimAfter: 86400,
memo: 'Dividend payout 2025'
})
};
fetch('https://dev.api.withconvexity.com/v1/tokens/yield/distribute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Yield distribution submitted",
"data": {
"operationRef": "distribute_2b1f0a9c1111",
"txHash": "0x49421ecd74477e30c6a4afa42d5358aabf9d4472c77bd2f955426a3660c904a3"
}
}Tokenization
Distribute Yield
Funds and distributes a yield payout to holders. Unclaimed funds may be reclaimed after reclaimAfter.
POST
/
v1
/
tokens
/
yield
/
distribute
Distribute Yield
curl --request POST \
--url https://dev.api.withconvexity.com/v1/tokens/yield/distribute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tokenId": "019ee492-6357-72ec-bd3b-19c5f8242d96",
"chain": "BASE",
"fundAmount": 10,
"reclaimAfter": 86400,
"memo": "Dividend payout 2025"
}
'import requests
url = "https://dev.api.withconvexity.com/v1/tokens/yield/distribute"
payload = {
"tokenId": "019ee492-6357-72ec-bd3b-19c5f8242d96",
"chain": "BASE",
"fundAmount": 10,
"reclaimAfter": 86400,
"memo": "Dividend payout 2025"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tokenId: '019ee492-6357-72ec-bd3b-19c5f8242d96',
chain: 'BASE',
fundAmount: 10,
reclaimAfter: 86400,
memo: 'Dividend payout 2025'
})
};
fetch('https://dev.api.withconvexity.com/v1/tokens/yield/distribute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Yield distribution submitted",
"data": {
"operationRef": "distribute_2b1f0a9c1111",
"txHash": "0x49421ecd74477e30c6a4afa42d5358aabf9d4472c77bd2f955426a3660c904a3"
}
}Authorizations
OAuth 2.0 access token from Auth-Edge.
Body
application/json
Response
200 - application/json
OK
The response is of type object.
